=== debian/changelog ===
fqterm (0.9.10.1-5) unstable; urgency=medium

  * Team upload.
  * debian/control: Remove myself from the uploaders list.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 20:48:56 -0500

fqterm (0.9.10.1-4) unstable; urgency=medium

  * add d/p/patch.update-smth-hostname, update SMTH BBS hostname

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 17 Nov 2023 09:12:32 +0800

fqterm (0.9.10.1-3) unstable; urgency=medium

  * Bump Standards-Version: 4.6.2
  * d/copyright: update year info to 2023
  * d/control: Depends:+ ssh-askpass,
    add support for ssh private key passwd input.
    see https://github.com/mytbk/fqterm/blob/master/doc/SSH.md
  * add d/p/patch.ssh_evp_cipher.c, come from upstream, fix ssh login bug
    Upstream-issue: https://github.com/mytbk/fqterm/issues/35
  * Update d/lintian-overrides
  * Run wrap-and-sort -asbkt

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 26 Jul 2023 13:01:20 +0800

fqterm (0.9.10.1-2) unstable; urgency=medium

  * Rebuild before Debian 12 release.
  * debian/control: Bump Standards-Version to 4.6.1.

  [ xiao sheng wen ]
  * Trim trailing whitespace.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Nov 2022 16:18:52 -0500

fqterm (0.9.10.1-1) unstable; urgency=medium

  * New upstream release 0.9.10.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 17:08:19 -0400

fqterm (0.9.10-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Import new upstream version 0.9.10.
  * debian/patches: Dropped, all merged upstream.

  [ 肖盛文 ]
  * d/watch: fix url,delete the letter v

 -- Boyuan Yang <byang@debian.org>  Sun, 24 May 2020 06:50:33 -0400

fqterm (0.9.9-3) unstable; urgency=medium

  [ 肖盛文 ]
  * d/control:
      - Bump debhelper-compat (= 13)
      - Bump Standards-Version: 4.5.0
      - add Rules-Requires-Root: no
      - add New Uploaders: xiao sheng wen <atzlinux@sina.com>
  * d/rules:
      - delete export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
      - delete dh_missing --fail-missing
      - use execute_after_dh_installchangelogs target
  * d/watch:
      - use @ANY_VERSION@@ARCHIVE_EXT@
  * d/copyright:
      - add Upstream-Contact: Iru Cai <mytbk920423@gmail.com>
  * delete *.patch line in .gitignore file
  * add fix-spelling-error-fqterm_decode.cpp.patch
  * convert text from gb2312 character encoding to UTF-8 on
    usr/share/FQTerm/skin/dpstyle/ReadMe.txt
  * add lintian-overrides
  * add upstream/metadata

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 17 May 2020 19:30:06 +0800
