=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_QT5=1

execute_after_dh_auto_install:
	rm -f debian/fqterm/usr/share/FQTerm/fqterm.sh
	rm -f debian/fqterm/usr/share/FQTerm/fqterm.desktop.in
	rm -f debian/fqterm/usr/share/FQTerm/dict/*.ts

override_dh_clean:
	dh_clean \
	    -Xaddress.cfg.orig \
	    -Xfqterm.cfg.orig  \
	    -Xlanguage.cfg.orig --

execute_after_dh_installchangelogs:
	dh_installchangelogs --keep CHANGELOG.rst

execute_after_dh_install:
	iconv -f gb2312 -t UTF-8 -o debian/fqterm/usr/share/FQTerm/skin/dpstyle/ReadMe.txt debian/fqterm/usr/share/FQTerm/skin/dpstyle/ReadMe.txt
